<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
import React, { PureComponent } from 'react';
import './App.less';
import { Tabs } from 'antd';
const { TabPane } = Tabs;

<#if app.getAllPSAppViews()??>
<#list app.getAllPSAppViews() as view>
<#if view.getViewType() == "DEEDITVIEW">
import ${${srfclassname(view.getCodeName())}} from './forms//${srffilepath2(ctrl.getPSDataEntity().getCodeName())}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}'
</#if>
</#list>
</#if>

/**
 * App
 *
 * @export
 * @class App
 * @extends {PureComponent}
 */
export default class App extends PureComponent {

    /**
     * 
     *
     * @returns
     * @memberof App
     */
    public render() {
        return <div className="App">
<#if app.getAllPSAppViews()??>
            <Tabs defaultActiveKey="1">
<#list app.getAllPSAppViews() as view>
<#if view.getViewType() == "DEEDITVIEW">
                <TabPane tab="<#if view.getCaption()??>${view.getCaption()}<#else>未知</#if>" key="${view_index}">
                    <${${srfclassname(view.getCodeName())}}/>
                </TabPane>
</#if>
</#list>
            </Tabs>
</#if>
        </div>;
    }

}